<?php
if (isset($_REQUEST['demo']) && $_REQUEST['demo'] == '1') {
	$demo = true;
} else {
	$demo = false;
}
FN_env($demo);
exit();

// 계정 권한 설정
function FN_get_info($demo) {
	$perm = array(
		'Acount Home 700, HTML Document Root 705',
		'707',
		'undefined'
	);
	$dir = dirname(__FILE__); 
	$id_sys = posix_getpwuid(fileowner("$dir/p2-test.php"));
	$id_php = posix_getpwuid(posix_geteuid());
# ([name] => web [uid] => 000 [gid] => 000 [dir] => /home/myID)

	if ($demo || $id_sys != $id_php) {
		$pos = 1;
 	} else if ($id_sys == $id_php) {
		$pos = 0;
	} else {
		$pos = 2;
	}

	return array($perm[$pos], $id_sys['name'], $id_php['name'], $id_sys['dir']);
}

function FN_env($demo=false) {
	$def_home = "/home/myID";
	list($perm, $id_sys, $id_web, $acc_home) = FN_get_info($demo);
	if ($demo) {
		$id_sys = 'myID';
		$id_web = 'apache';
		$acc_home = $def_home;
	}
	$php_v = ($demo ? '7.4.x' : phpversion());
	$server_ip = ($demo ? '192.168.0.1' : $_SERVER['SERVER_ADDR']);
	$pc_ip = ($demo ? '192.168.0.2' : $_SERVER['REMOTE_ADDR']);
	$server_sw = ($demo ? 'Apache 2.4.x' : $_SERVER['SERVER_SOFTWARE']);
	$doc_root = ($demo ? "$def_home/www" : $_SERVER['DOCUMENT_ROOT']);
	if ($acc_home == $doc_root) {
		exit("계정 홈과 HTML 홈이 동일합니다. (수동 설치만 가능합니다!)");
	}

	echo <<< __MARK__
<!DOCTYPE html>
<html lang="ko">
<head>
<meta charset="utf-8">
<style>
body {font-size:1.1em;font-family:"맑은 고딕";}
p {margin:5px 0 5px 0;}
.bold {font-weight:bold;}
.red {color:red;font-weight:bold;}
</style>
</head>
<body style='width:800px;margin:auto;'>
<h2>설치 환경 (Installation environment)</h2>
<p>Server IP Address : $server_ip</p>
<p>PC IP Address : $pc_ip</p>
<p>Web Version : $server_sw</p>
<p>PHP Version <b>(5.6.x or higher, 7.4.x recommended)</b> : $php_v</p>
<p>Account Home Directory(계정의 홈 디렉터리) : $acc_home</p>
<p>HTML Document Root(html이 실행되는 최상위 폴더) : $doc_root</p>
<br>
<p class="bold">my ID(내 계정) : $id_sys</p>
<p class="bold">PHP run user(PHP를 실행 중인 사용자) : $id_web</p>
<p class="red">$perm 퍼미션 권장 (Permission is recommended.)</p>
<br>
<p>설치 후 이 프로그램(p2-test.php)은 삭제를 권장합니다.(보안상 이유)<br>
Delete this program (p2-test.php) after installation. (for security reasons)</p>
__MARK__;

}
?>
